function Q=reboilerduty (Q_set)
% reboilerduty estimates the actual value of energy input from the setpoint
%Date: 20.07.2018
%Creator: Johana Korbelarova

%the 10% heat loss is included

% Curve fitting tool:
% experimental values:
% set= [0; 1; 1.4; 1.8; 2; 2];
% val= [155; 485; 1111; 1936; 2330; 2310];
% General model Exp1:
%      f(x) = a*exp(b*x)
% Coefficients (with 95% confidence bounds):
%        a =       160.4  (65.44, 255.3)
%        b =       1.345  (1.035, 1.656)
% 
% Goodness of fit:
%   SSE: 4.118e+04
%   R-square: 0.9907
%   Adjusted R-square: 0.9884
%   RMSE: 101.5
 
a =       160.4; % constant a
b =       1.345; % constant b
Q= a*exp(b*Q_set);

loss = 0.1; % heat loss into environment [%]
Q = (1 - loss) * Q;

end